Ticket #1 (closed defect: fixed)

Opened 6 years ago

Last modified 5 years ago

$arg->fresh_status() bug

Reported by: mark Assigned to: mark
Priority: minor Milestone:
Component: resmon Version: pre-release
Keywords: Cc:

Description

The following lines at the top of every module:

my $os = $arg->fresh_status(); return $os if $os;

only cache and return the status (OK/BAD/WARNING) and not the message. Need to make it return the message as well, otherwise, whenever the 'interval' argument is set in the config file on a module, (making use of the result caching feature) there won't be a message printed on successive checks.

Something like:

my @os = $arg->fresh_status(); return @os if @os;

and fresh status caching the message and doing:

return $cachedstatus, $cachedmessage; # Different variable names of course

This will require all modules to be changed however.

Change History

06/30/08 20:01:44 changed by mark

  • owner changed from mark@omniti.com to mark.
  • status changed from new to assigned.

06/30/08 20:11:22 changed by mark

  • version set to pre-release.

06/30/08 20:13:42 changed by mark

  • version deleted.

06/30/08 20:30:08 changed by mark

  • version set to pre-release.

07/01/08 15:57:11 changed by mark

(In [135]) Moving the fresh_status and set_status code outside of the modules themselves, making module development simpler. Also fixed an issue with the fresh_status function where it didn't return a cached message, and resmon showed nothing for the message. refs #1

02/26/09 21:25:56 changed by mark

  • status changed from assigned to closed.
  • resolution set to fixed.